<!-- <h1 mat-dialog-title>Hi {{data.name}}</h1>
<div mat-dialog-content>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="onNoClick()">No Thanks</button>
  <button mat-button [mat-dialog-close]="data.animal" cdkFocusInitial>Ok</button>
</div> -->


<div class="cr-dialog" [ngSwitch]="data.dialogType">
  <!-- alert -->
  <div class="cr-dialog-alert" *ngSwitchCase="'alert'">
    <!-- <h1 mat-dialog-title>Alert</h1> -->
    <div mat-dialog-content>
      <mat-icon class="cr-dialog-alert-icon" aria-hidden="false">
        <ng-container *ngIf="!data.icon && data.type === 'done'">
          done_all
        </ng-container>
        <ng-container *ngIf="!data.icon && data.type === 'info'">
          info
        </ng-container>
        <ng-container *ngIf="!data.icon && data.type === 'warning'">
          report_problem
        </ng-container>
        <ng-container *ngIf="!data.icon && data.type === 'danger'">
          not_interested
        </ng-container>
        <ng-container *ngIf="data.icon">
          {{data.icon}}
        </ng-container>
      </mat-icon>
      <p>
        {{data.message}}
      </p>
    </div>
    <div mat-dialog-actions>
      <button mat-raised-button (click)="close()"
        [color]="data.buttonColor || 'primary'">{{data.buttonValue || 'Ok'}}</button>
    </div>
  </div>
  <!-- prompt -->
  <div class="cr-dialog-prompt" *ngSwitchCase="'prompt'">
    prompt
  </div>
  <!-- confirm -->
  <div class="cr-dialog-confirm" *ngSwitchCase="'confirm'">
    <div mat-dialog-content>
      <mat-icon class="cr-dialog-alert-icon" aria-hidden="false">
        <ng-container *ngIf="!data.icon && data.type === 'done'">
          done_all
        </ng-container>
        <ng-container *ngIf="!data.icon && data.type === 'info'">
          info
        </ng-container>
        <ng-container *ngIf="!data.icon && data.type === 'warning'">
          report_problem
        </ng-container>
        <ng-container *ngIf="!data.icon && data.type === 'danger'">
          not_interested
        </ng-container>
        <ng-container *ngIf="data.icon">
          {{data.icon}}
        </ng-container>
      </mat-icon>
      <p>
        {{data.message}}
      </p>
    </div>
    <div mat-dialog-actions>
      <button mat-raised-button (click)="clickYes()"
        [color]="data.buttonYesColor || 'primary'">{{data.buttonYesValue || 'Yes'}}</button>
      <button mat-raised-button (click)="close()"
        [color]="data.buttonNoColor || 'accent'">{{data.buttonNoValue || 'No'}}</button>
    </div>
  </div>

  <div *ngSwitchDefault>
    Something went wrong
  </div>
</div>